//---------------------------------------------------------------------------

#ifndef DOSUnit1H
#define DOSUnit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Extctrls.hpp>

void ShowTextInDos(int X,int Y,AnsiString Data,int Color);

//---------------------------------------------------------------------------
class TDOSObject : public TComponent
{
private: // User declarations
  TTimer *FixedTime;
  TTimer *FunnyTime;
  int X,Y,dX,dY,Color;
public:  // User declarations
  __fastcall TDOSObject(TComponent* Owner) : TComponent(Owner)
  {
    FixedTime=new TTimer(this);
    FixedTime->Interval=1000;
    FixedTime->Enabled=true;
    FixedTime->OnTimer=FixedTimer;

    X=10; dX=2;
    Y=7;  dY=1;
    Color=1;
    FunnyTime=new TTimer(this);
    FunnyTime->Interval=100;
    FunnyTime->Enabled=true;
    FunnyTime->OnTimer=FunnyTimer;
  };
  __fastcall ~TDOSObject()
  {
    delete FixedTime;
    delete FunnyTime;
  }
  void __fastcall FixedTimer(TObject *Sender)
  {
    ShowTextInDos(70,1,Now().FormatString("[HH:NN:SS]"),WHITE);
  }
  void __fastcall FunnyTimer(TObject *Sender)
  {
    ShowTextInDos(X,Y,"               ",BLACK);  // ªmrM
    X+=dX;  Y+=dY; Color++;
    if(X>=60)X=60,dX=-dX;
    if(X<=2) X=2, dX=-dX;
    if(Y>=24)Y=24,dY=-dY;
    if(Y<=3) Y=3, dY=-dY;
    if(Color>15)Color=1;
    ShowTextInDos(X,Y,"dllee"+Now().FormatString("[HH:NN:SS]"),Color);
  }
};
//---------------------------------------------------------------------------
#endif